/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: PickTaxonomyActivity.java,v 2ed8bb427d67 2010/08/25 21:14:22 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy;

import it.tidalwave.bluebill.mobile.taxonomy.TaxonomyPickerUI;
import javax.annotation.Nonnull;
import android.app.Activity;
import android.os.Bundle;
import android.widget.ListView;
import it.tidalwave.mobile.ui.CommonUITasks;
import it.tidalwave.mobile.android.ui.AndroidCommonUITasks;
import it.tidalwave.bluebill.mobile.android.R;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class PickTaxonomyActivity extends Activity implements TaxonomyPickerUI // FIXME: rename to TaxonomyPickerActivity
  {
    private final AndroidCommonUITasks commonUITasks = new AndroidCommonUITasks(this);

    private AndroidTaxonomyPickerController controller;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Nonnull
    public CommonUITasks getCommonUITasks()
      {
        return commonUITasks;
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override
    public void onCreate (final @Nonnull Bundle savedInstanceState)
      {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.pick_taxonomy_activity);
        controller = new AndroidTaxonomyPickerController(this, this);

        final ListView liTaxonomy = (ListView)findViewById(R.id.liTaxonomy);
        liTaxonomy.setAdapter(controller.getListAdapter());
        liTaxonomy.setOnItemClickListener(controller.getOnItemClickListener());
        liTaxonomy.setItemChecked(controller.getSelectedIndex(), true);
        controller.check();
      }
  }
