/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: LargeNameActivity.java,v 005569cd3a5e 2010/08/19 15:23:25 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.name;

import javax.annotation.Nonnull;
import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.TextView;
import it.tidalwave.bluebill.mobile.android.R;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class LargeNameActivity extends Activity
  {
    public static final String SCIENTIFIC_NAME = "scientificName";
    public static final String COMMON_NAME = "commonName";

    public static final int AUTOMATIC_DISMISS_TIME = 20000;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override
    protected void onCreate (final @Nonnull Bundle savedInstanceState)
      {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.large_name_activity);
        final Bundle extras = getIntent().getExtras();
        final TextView tvScientificName = (TextView)findViewById(R.id.tvScientificName);
        final TextView tvCommonName = (TextView)findViewById(R.id.tvCommonName);
        tvScientificName.setText(extras.getString(SCIENTIFIC_NAME));
        tvCommonName.setText(extras.getString(COMMON_NAME));

        findViewById(R.id.all).setOnClickListener(new View.OnClickListener()
          {
            public void onClick (final @Nonnull View view)
              {
                finish();
              }
          });

        new Handler().postDelayed(new Runnable()
          {
            @Override
            public void run()
              {
                finish();
              }
          }, AUTOMATIC_DISMISS_TIME);
      }
  }
