/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: TaxonNameFactSheetActivity.java,v 005569cd3a5e 2010/08/19 15:23:25 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.name;

import javax.annotation.Nonnull;
import it.tidalwave.util.NotFoundException;
import android.content.Intent;
import android.view.View;
import android.widget.AdapterView;
import android.os.Bundle;
import android.widget.AdapterView.OnItemClickListener;
import it.tidalwave.bluebill.mobile.android.R;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.TaxonFactSheetAbstractActivity;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.TaxonFactSheetAndroidController;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class TaxonNameFactSheetActivity extends TaxonFactSheetAbstractActivity
  {
    public TaxonNameFactSheetActivity()
      {
        super(R.layout.taxon_name_fact_sheet);
      }

    @Override
    public void onCreate (final @Nonnull Bundle savedInstanceState)
      {
        super.onCreate(savedInstanceState);
        final String scientificName = getScientificName();

        list.setAdapter(new NameAdapter(this, taxon, R.layout.name_list_row));
        list.setOnItemClickListener(new OnItemClickListener()
          {
            public void onItemClick (final @Nonnull AdapterView<?> av,
                                     final @Nonnull View view,
                                     final int index,
                                     final long id)
              {
                final LanguageAndName languageAndName = (LanguageAndName)av.getItemAtPosition(index);
                final Intent intent = new Intent(TaxonNameFactSheetActivity.this, LargeNameActivity.class);
                intent.putExtra(LargeNameActivity.SCIENTIFIC_NAME, scientificName);
                intent.putExtra(LargeNameActivity.COMMON_NAME, languageAndName.name);
                startActivity(intent);
              }
          });

        progressDialog.dismiss();
      }

    @Override @Nonnull
    protected TaxonFactSheetAndroidController createController()
      {
        return null;
      }
    
    @Nonnull
    private String getScientificName()
      {
        try
          {
            return taxon.getParent().getScientificName() + " " + taxon.getScientificName();
          }
        catch (NotFoundException ex)
          {
            return "";
          }
      }
  }
